org.apache.tamaya.integration.cdi.internal

## Class DefaultConfigurationContextBuilder

- java.lang.Object
- - org.apache.tamaya.integration.cdi.internal.DefaultConfigurationContextBuilder

- All Implemented Interfaces:
    org.apache.tamaya.spi.ConfigurationContextBuilder

      @Vetoed
      public class DefaultConfigurationContextBuilder
      extends Object
      implements org.apache.tamaya.spi.ConfigurationContextBuilder

  Default implementation of `ConfigurationContextBuilder`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultConfigurationContextBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> org.apache.tamaya.spi.ConfigurationContextBuilder` | `addPropertyConverter(org.apache.tamaya.TypeLiteral<T> typeToConvert, org.apache.tamaya.spi.PropertyConverter<T> propertyConverter)`
    `org.apache.tamaya.spi.ConfigurationContextBuilder` | `addPropertyFilters(Collection<org.apache.tamaya.spi.PropertyFilter> filters)`
    `org.apache.tamaya.spi.ConfigurationContextBuilder` | `addPropertyFilters(org.apache.tamaya.spi.PropertyFilter... filters)`
    `org.apache.tamaya.spi.ConfigurationContextBuilder` | `addPropertySources(Collection<org.apache.tamaya.spi.PropertySource> propertySourcesToAdd)`
    `org.apache.tamaya.spi.ConfigurationContextBuilder` | `addPropertySources(org.apache.tamaya.spi.PropertySource... propertySourcesToAdd)`
    `org.apache.tamaya.spi.ConfigurationContext` | `build()`
    `org.apache.tamaya.spi.ConfigurationContextBuilder` | `removePropertyConverters(org.apache.tamaya.TypeLiteral<?> typeToConvert, Collection<org.apache.tamaya.spi.PropertyConverter<?>> converters)`
    `org.apache.tamaya.spi.ConfigurationContextBuilder` | `removePropertyConverters(org.apache.tamaya.TypeLiteral<?> typeToConvert, org.apache.tamaya.spi.PropertyConverter<?>... converters)`
    `org.apache.tamaya.spi.ConfigurationContextBuilder` | `removePropertyFilters(Collection<org.apache.tamaya.spi.PropertyFilter> filters)`
    `org.apache.tamaya.spi.ConfigurationContextBuilder` | `removePropertyFilters(org.apache.tamaya.spi.PropertyFilter... filters)`
    `org.apache.tamaya.spi.ConfigurationContextBuilder` | `removePropertySources(Collection<String> propertySourcesToRemove)`
    `org.apache.tamaya.spi.ConfigurationContextBuilder` | `removePropertySources(String... propertySourcesToRemove)`
    `org.apache.tamaya.spi.ConfigurationContextBuilder` | `setContext(org.apache.tamaya.spi.ConfigurationContext context)`
    `org.apache.tamaya.spi.ConfigurationContextBuilder` | `setPropertyValueCombinationPolicy(org.apache.tamaya.spi.PropertyValueCombinationPolicy policy)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultConfigurationContextBuilder

          public DefaultConfigurationContextBuilder()

  - ### Method Detail

    - #### setContext

          public org.apache.tamaya.spi.ConfigurationContextBuilder setContext(org.apache.tamaya.spi.ConfigurationContext context)

      Specified by:
        `setContext` in interface `org.apache.tamaya.spi.ConfigurationContextBuilder`

    - #### addPropertySources

          public org.apache.tamaya.spi.ConfigurationContextBuilder addPropertySources(Collection<org.apache.tamaya.spi.PropertySource> propertySourcesToAdd)

      Specified by:
        `addPropertySources` in interface `org.apache.tamaya.spi.ConfigurationContextBuilder`

    - #### addPropertySources

          public org.apache.tamaya.spi.ConfigurationContextBuilder addPropertySources(org.apache.tamaya.spi.PropertySource... propertySourcesToAdd)

      Specified by:
        `addPropertySources` in interface `org.apache.tamaya.spi.ConfigurationContextBuilder`

    - #### removePropertySources

          public org.apache.tamaya.spi.ConfigurationContextBuilder removePropertySources(Collection<String> propertySourcesToRemove)

      Specified by:
        `removePropertySources` in interface `org.apache.tamaya.spi.ConfigurationContextBuilder`

    - #### removePropertySources

          public org.apache.tamaya.spi.ConfigurationContextBuilder removePropertySources(String... propertySourcesToRemove)

      Specified by:
        `removePropertySources` in interface `org.apache.tamaya.spi.ConfigurationContextBuilder`

    - #### addPropertyFilters

          public org.apache.tamaya.spi.ConfigurationContextBuilder addPropertyFilters(Collection<org.apache.tamaya.spi.PropertyFilter> filters)

      Specified by:
        `addPropertyFilters` in interface `org.apache.tamaya.spi.ConfigurationContextBuilder`

    - #### addPropertyFilters

          public org.apache.tamaya.spi.ConfigurationContextBuilder addPropertyFilters(org.apache.tamaya.spi.PropertyFilter... filters)

      Specified by:
        `addPropertyFilters` in interface `org.apache.tamaya.spi.ConfigurationContextBuilder`

    - #### removePropertyFilters

          public org.apache.tamaya.spi.ConfigurationContextBuilder removePropertyFilters(Collection<org.apache.tamaya.spi.PropertyFilter> filters)

      Specified by:
        `removePropertyFilters` in interface `org.apache.tamaya.spi.ConfigurationContextBuilder`

    - #### removePropertyFilters

          public org.apache.tamaya.spi.ConfigurationContextBuilder removePropertyFilters(org.apache.tamaya.spi.PropertyFilter... filters)

      Specified by:
        `removePropertyFilters` in interface `org.apache.tamaya.spi.ConfigurationContextBuilder`

    - #### addPropertyConverter

          public <T> org.apache.tamaya.spi.ConfigurationContextBuilder addPropertyConverter(org.apache.tamaya.TypeLiteral<T> typeToConvert,
                                                                                   org.apache.tamaya.spi.PropertyConverter<T> propertyConverter)

      Specified by:
        `addPropertyConverter` in interface `org.apache.tamaya.spi.ConfigurationContextBuilder`

    - #### removePropertyConverters

          public org.apache.tamaya.spi.ConfigurationContextBuilder removePropertyConverters(org.apache.tamaya.TypeLiteral<?> typeToConvert,
                                                                                   org.apache.tamaya.spi.PropertyConverter<?>... converters)

      Specified by:
        `removePropertyConverters` in interface `org.apache.tamaya.spi.ConfigurationContextBuilder`

    - #### removePropertyConverters

          public org.apache.tamaya.spi.ConfigurationContextBuilder removePropertyConverters(org.apache.tamaya.TypeLiteral<?> typeToConvert,
                                                                                   Collection<org.apache.tamaya.spi.PropertyConverter<?>> converters)

      Specified by:
        `removePropertyConverters` in interface `org.apache.tamaya.spi.ConfigurationContextBuilder`

    - #### setPropertyValueCombinationPolicy

          public org.apache.tamaya.spi.ConfigurationContextBuilder setPropertyValueCombinationPolicy(org.apache.tamaya.spi.PropertyValueCombinationPolicy policy)

      Specified by:
        `setPropertyValueCombinationPolicy` in interface `org.apache.tamaya.spi.ConfigurationContextBuilder`

    - #### build

          public org.apache.tamaya.spi.ConfigurationContext build()

      Specified by:
        `build` in interface `org.apache.tamaya.spi.ConfigurationContextBuilder`

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.